# Create a new subproject

Use this method to create a new subproject off of a parent project. A subproject is a great way to group resources together. 

### Limitations
- Subprojects cannot have their own billing account. The billing account is handled by the parent project. 
- You cannot have a subproject created off of a subproject.

Endpoint: POST /v1/projects/{parentProjectId}/subprojects
Version: v1
Security: OAuth2.0, Basic

## Path parameters:

  - `parentProjectId` (string, required)
    the parent project ID the subproject belongs to.
    Example: "dxxxxxba48b144xxxxx184b81e4xxxxx"

## Request fields (application/json):

  - `displayName` (string, required)
    The display name of the subproject. You cannot have a null value. It does not have to be unique.
    Example: "Taco Time"

  - `labels` (object)
    A map of labels. String, key-value pairs that are completely customizable to allow for your metadata. Both the key and the value can be modified. Examples: "region": "US-Northwest" or "phoneNumber": "14051234567"

## Response 200 fields (application/json):

  - `subprojectId` (string, required)
    The unique subproject identifier. Not to be confused with the parentProjectId; the subprojectId is a new ID related to your parent project.

  - `displayName` (string, required)
    The display name of the subproject. You cannot have a null value. It does not have to be unique.
    Example: "Your Customer's Business Name"

  - `parentProjectId` (string, required)
    The parent project ID the subproject belongs to. Set from the URL path on creation; a value sent in the request body is ignored.

  - `createTime` (string, required)
    The date/time the subproject was created. ISO 8601 format.

  - `updateTime` (string, required)
    The date/time the subproject was updated. ISO 8601 format.

  - `deleted` (boolean, required)
    The current deleted state of the subproject.

  - `labels` (object)


